[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'PairSplitter' (#lcl)

# TPairSplitterSide.WMPaint

Provides custom handling for LM_PAINT messages in the control.

## Declaration

Source position: pairsplitter.pas line 49

`protected procedure TPairSplitterSide.WMPaint(`
`var PaintMessage: TLMPaint`
`); message;`

## Arguments

`PaintMessage` |  | LM_PAINT message handled for the control.

## Description

WMPaint is an overridden method in TPairSplitterSide used to handle a LM_PAINT message received in the default handler for the control.

WMPaint ensures that the ControlState property is updated to include the csCustomPaint enumeration value. The inherited method is called to dispatch the message, draw the background for the control, and perform the paint message for the device context. The Paint method is called to draw the frame used for the control at design-time. csCustomPaint is removed from ControlState prior to exiting from the method.

No actions are performed in the method if the handle has not been allocated for the control, or when it is being freed.

## See also

TPairSplitterSide.Paint |  | Renders the frame for the control on its Canvas at design-time.
TWinControl.DefaultHandler |  | Handles all messages that the control doesn't fully handle itself.
TControl.ControlState |  | Contains state flags which indicate whether the control has been clicked, data is being read, or the control is being re-drawn, etc.
TControlStateType |  | State flags of a Control.
TControlState |  | Set of control states used in a control.